Create Agent

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/agent

Create a reusable Agent configuration. An Agent uses automatic routing to choose among its enabled capabilities when invoked through AIPrompt with agent_id .

The authenticated user becomes the creator and initial owner. Creating Agents requires a Designer or Owner organization role. See Creating and using Agents through the API for an end-to-end example.

Request parametersResponse schema
Expand all Reset
properties *OBJECTrequired
name *OBJECTrequired
description OBJECT
capabilities ARRAY[STRING]
theme_id STRING
Can be executed by:
Organization Editor
Can be associated to:
Securables
linked_rules
User
Shareable
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "4ae128cc-1376-4f3f-876d-09b2a841f906",
  "name": {
    "en": "Revenue assistant"
  },
  "description": {
    "en": "Answers revenue questions and creates supporting charts."
  },
  "capabilities": [
    "data_analysis",
    "chart_creation"
  ],
  "theme_id": "default",
  "user_id": "444e2d0c-8dfb-45c1-bb97-52cb9264671f",
  "shareable_id": "5a96ab29-86d7-4855-93ce-a9cfc9b138c5",
  "created_at": "2026-09-29T08:48:21.140Z",
  "updated_at": "2026-09-29T08:48:21.140Z"
}